<?php
    /**
     * PARAMETRES DE CONNEXION A LA BASE DE DONNEES
     */
$ip = 'localhost';
$user = 'phpapp';
$pass = 'myphp';
$database = 'universite';

    // Définition de la source des données pour PDO
$dsn = "mysql:host=$ip;dbname=$database;charset=utf8mb4";

    // Création de l'objet $dbh, de type PDO, qui est la ressource d'accès à la base
try {
    $dbh = new PDO($dsn, $user, $pass);
} catch (PDOException $e) {
    die("Erreur de connexion : ".$e->getMessage()); 
}

if ($_GET['sigle'] != null && $_GET['nom'] != null && $_GET['description'] != null)
{
        // écriture en amont de la requête 
    $updateStmt = "UPDATE matiere SET mNom = :nom, mDescription = :description WHERE mSigle = :sigle";
        // Préparation de la requête
    $pdoUpdateStmt = $dbh->prepare($updateStmt);
        // Les variables sont liées à la requête
    $pdoUpdateStmt->bindParam(":nom", $_GET['nom']);
    $pdoUpdateStmt->bindParam(":description", $_GET['description']);
    $pdoUpdateStmt->bindParam(":sigle", $_GET['sigle']);
        // Exécution de la requête
    $pdoUpdateStmt->execute();
        //Fermeture de connexion
    $pdoUpdateStmt=null;
    $dbh=null;
        // Redirection
    header('location: index.php');
}
else{
    header('Location : index.php');
}
